%global gittag master

Name:		DNS-Compliance-Testing
Version:	0
Release:	1%{?dist}
Summary:	DNS Compliance Testing

License:	MPLv2
URL:		https://gitlab.isc.org/isc-projects/DNS-Compliance-Testing
Source0:	https://gitlab.isc.org/isc-projects/DNS-Compliance-Testing/-/archive/%{gittag}/DNS-Compliance-Testing-%{gittag}.tar.bz2
Source1:	mkronn.sed
Source2:	Makefile.doc

BuildRequires:	gcc make autoconf automake
BuildRequires:	openssl-devel
BuildRequires:	sed rubygem-ronn
Requires:	bind-utils

%description
Provide tools to allow Registries and Registrars (amongst others) to
check the DNS protocol compliance of the servers they are delegating
zones to.

%prep
%setup -q -n DNS-Compliance-Testing-%{gittag}
autoreconf -fis

install %{SOURCE1} mkronn.sed
install %{SOURCE2} Makefile.doc

%build
%configure
make %{?_smp_mflags}

make -f %{SOURCE2} man

%install
%make_install

install -d %{buildroot}%{_mandir}/man1
install genreport.1 %{buildroot}%{_mandir}/man1/genreport.1

%files
%doc README genreport.md
%license LICENSE
%{_bindir}/genreport
%{_mandir}/man1/*



%changelog
* Thu Nov 22 2018 Petr Menšík <pemensik@redhat.com> - 0-1
- Initial release
- Generate manual page
